### Method

# GUPnP ControlPoint list_device_proxies

#### Declaration [src]

    const GList*
    gupnp_control_point_list_device_proxies (
      GUPnPControlPoint* control_point
    )

#### Description [src]

Get the list of `GUPnPDeviceProxy` objects the control point currently assumes to be active.

Since a device might have gone offline without signalizing it, but the automatic resource timeout has not happened yet, it is possible that some of the devices listed are not available anymore on the network.

Do not free the list nor its elements.

#### Return value

Returns: | A list of `None`
| Device proxies currently assumed to be active.
| The data is owned by the instance.